"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils = require("./utils");
class EspThermData {
    constructor(temperature, voltage, timeConsumed) {
        this.temperature = temperature;
        this.voltage = voltage;
        this.timeConsumed = timeConsumed;
    }
    toString() {
        return JSON.stringify(this);
    }
    toJSON() {
        return utils.jsonPrepaper(this, []);
    }
}
exports.EspThermData = EspThermData;
class EspThermMetadata {
    constructor(client, timestamp) {
        this.client = client;
        this.timestamp = (timestamp) ? timestamp : new Date();
    }
    toString() {
        return JSON.stringify(this);
    }
    toJSON() {
        return utils.jsonPrepaper(this, []);
    }
}
exports.EspThermMetadata = EspThermMetadata;
class EspThermMessage {
    constructor(client, temperature, voltage, timeConsumed) {
        this.data = new EspThermData(temperature, voltage, timeConsumed);
        this.metadata = new EspThermMetadata(client);
    }
    toString() {
        return JSON.stringify(this);
    }
    toJSON() {
        return utils.jsonPrepaper(this, []);
    }
}
exports.EspThermMessage = EspThermMessage;
function espThermToJson(message) {
    let messageStr = "" + message;
    let parts = messageStr.split(' ');
    let espThermMessage = new EspThermMessage(parts[0], parseFloat(parts[1]), parseFloat(parts[2]), parseInt(parts[3]));
    return espThermMessage;
}
exports.espThermToJson = espThermToJson;
//# sourceMappingURL=espthermtojson.js.map