import * as log from './log'
import * as events from 'events'


export abstract class AProcessor extends events.EventEmitter {
    protected label : string

    constructor(label : string) {
        super()
        this.label = label
        this.addListener('input', this.process)
        log.info(`Processor object instanciated: ${this.constructor.name}, ${this.label}`)
    }

    public in(message : any) : void {
        log.info(`Routing ${message} to Processor class ${this.constructor.name}, ${this.label}`)
        this.emit('input', message)
    }

    protected abstract process(message : any) : void
}


export class ExProc1 extends AProcessor {
    protected process(message : any) : void {
        log.info(`ExRoute1.process: ${this.label}, ${message}`)             
    }
}